### Method

# ECal ComponentAlarm set_repeat

since: 3.34

#### Declaration [src]

    void
    e_cal_component_alarm_set_repeat (
      ECalComponentAlarm* alarm,
      const ECalComponentAlarmRepeat* repeat
    )

#### Description [src]

Set the `alarm` repeat information, as an `ECalComponentAlarmRepeat`.

Available since: 3.34

#### Parameters

`repeat`

  Type: `ECalComponentAlarmRepeat`

  A repeat information to set, or `NULL` to unset.

  The argument can be `NULL`.
  The data is owned by the caller of the method.